[arch-commits] Commit in haskell-text-printer/repos (4 files)
Felix Yan
felixonmars at archlinux.org
Mon Apr 17 15:12:31 UTC 2017
Date: Monday, April 17, 2017 @ 15:12:30
Author: felixonmars
Revision: 223483
archrelease: copy trunk to community-staging-i686, community-staging-x86_64
Added:
haskell-text-printer/repos/community-staging-i686/
haskell-text-printer/repos/community-staging-i686/PKGBUILD
(from rev 223482, haskell-text-printer/trunk/PKGBUILD)
haskell-text-printer/repos/community-staging-x86_64/
haskell-text-printer/repos/community-staging-x86_64/PKGBUILD
(from rev 223482, haskell-text-printer/trunk/PKGBUILD)
-----------------------------------+
community-staging-i686/PKGBUILD | 40 ++++++++++++++++++++++++++++++++++++
community-staging-x86_64/PKGBUILD | 40 ++++++++++++++++++++++++++++++++++++
2 files changed, 80 insertions(+)
Copied: haskell-text-printer/repos/community-staging-i686/PKGBUILD (from rev 223482, haskell-text-printer/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD (rev 0)
+++ community-staging-i686/PKGBUILD 2017-04-17 15:12:30 UTC (rev 223483)
@@ -0,0 +1,40 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=text-printer
+pkgname=haskell-text-printer
+pkgver=0.5
+pkgrel=2
+pkgdesc="Abstract interface for text builders/printers."
+url="https://github.com/mvv/text-printer"
+license=('custom:BSD3')
+arch=('i686' 'x86_64')
+depends=('ghc=8.0.1' 'haskell-semigroups' 'haskell-text' 'haskell-text-latin1')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+md5sums=('0b2ad411591847628b15f462ce22542f')
+
+build() {
+ cd "${srcdir}/${_hkgname}-${pkgver}"
+
+ runhaskell Setup configure -O --enable-library-profiling --enable-shared \
+ --prefix=/usr --docdir="/usr/share/doc/${pkgname}" \
+ --libsubdir=\$compiler/site-local/\$pkgid
+ runhaskell Setup build
+ runhaskell Setup haddock --hoogle --html || warning "haddock failed"
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+package() {
+ cd "${srcdir}/${_hkgname}-${pkgver}"
+
+ install -D -m744 register.sh "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+ install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+ install -d -m755 "${pkgdir}/usr/share/doc/ghc/html/libraries"
+ ln -s "/usr/share/doc/${pkgname}/html" "${pkgdir}/usr/share/doc/ghc/html/libraries/${_hkgname}"
+ runhaskell Setup copy --destdir="${pkgdir}"
+ install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+}
Copied: haskell-text-printer/repos/community-staging-x86_64/PKGBUILD (from rev 223482, haskell-text-printer/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2017-04-17 15:12:30 UTC (rev 223483)
@@ -0,0 +1,40 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=text-printer
+pkgname=haskell-text-printer
+pkgver=0.5
+pkgrel=2
+pkgdesc="Abstract interface for text builders/printers."
+url="https://github.com/mvv/text-printer"
+license=('custom:BSD3')
+arch=('i686' 'x86_64')
+depends=('ghc=8.0.1' 'haskell-semigroups' 'haskell-text' 'haskell-text-latin1')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+md5sums=('0b2ad411591847628b15f462ce22542f')
+
+build() {
+ cd "${srcdir}/${_hkgname}-${pkgver}"
+
+ runhaskell Setup configure -O --enable-library-profiling --enable-shared \
+ --prefix=/usr --docdir="/usr/share/doc/${pkgname}" \
+ --libsubdir=\$compiler/site-local/\$pkgid
+ runhaskell Setup build
+ runhaskell Setup haddock --hoogle --html || warning "haddock failed"
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+package() {
+ cd "${srcdir}/${_hkgname}-${pkgver}"
+
+ install -D -m744 register.sh "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+ install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+ install -d -m755 "${pkgdir}/usr/share/doc/ghc/html/libraries"
+ ln -s "/usr/share/doc/${pkgname}/html" "${pkgdir}/usr/share/doc/ghc/html/libraries/${_hkgname}"
+ runhaskell Setup copy --destdir="${pkgdir}"
+ install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+}
More information about the arch-commits
mailing list